Bug 951001 - audacity-2.0.3 is available
Summary: audacity-2.0.3 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Manuel F Martinez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-11 10:27 UTC by Upstream Release Monitoring
Modified: 2013-05-19 02:34 UTC (History)
4 users (show)

Fixed In Version: portaudio-19-16.fc17
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-14 01:24:25 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2013-04-11 10:27:59 UTC
Latest upstream release: 2.0.3
Current version in Fedora Rawhide: 2.0.2
URL: http://code.google.com/p/audacity/downloads/list

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Hans de Goede 2013-04-29 13:46:43 UTC
Hi,

Ping, what is the eta on getting this fixed ?  Note should probably also package
libsoxr: https://sourceforge.net/p/soxr/wiki/Home/  and switch audacity over to that, since that is the new upstream default.

I can help with both packaging (or reviewing) libsoxr as well as updating audacity, if you need any help let me know.

Regards,

Hans

Comment 2 David Timms 2013-04-30 12:45:06 UTC
Hi Hans, thanks for the offer. Been busy then awol for a month, so just getting settled back in, and yet to have a chance to dl / test build at all.

Comment 3 Hans de Goede 2013-05-01 07:17:22 UTC
(In reply to comment #2)
> Hi Hans, thanks for the offer. Been busy then awol for a month, so just
> getting settled back in, and yet to have a chance to dl / test build at all.

Hi,

Good to have you back! Your above "just getting settled back in, and yet to have a chance to dl / test build at all" is a bit ambiguous (to me), do you plan to start working on the 2.0.3 update yourself (now that you're back), or would you like me to take a look at it ?

p.s. good news soxr has been packaged in the mean time, see bug 958132.

Regards,

Hans

Comment 4 Hans de Goede 2013-05-04 13:39:16 UTC
Hi,

Quick update to avoid us doing double work: I've begun working on a 2.0.3 update for Fedora (almost finished actually). 

Regards,

Hans

Comment 5 Fedora Update System 2013-05-04 19:26:01 UTC
portaudio-19-16.fc19,audacity-2.0.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/portaudio-19-16.fc19,audacity-2.0.3-1.fc19

Comment 6 Fedora Update System 2013-05-04 19:27:37 UTC
audacity-2.0.3-1.fc18,portaudio-19-16.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/audacity-2.0.3-1.fc18,portaudio-19-16.fc18

Comment 7 Fedora Update System 2013-05-05 17:09:52 UTC
Package portaudio-19-16.fc19, audacity-2.0.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing portaudio-19-16.fc19 audacity-2.0.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7440/portaudio-19-16.fc19,audacity-2.0.3-1.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-05-09 13:41:41 UTC
portaudio-19-16.fc17,audacity-2.0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/portaudio-19-16.fc17,audacity-2.0.3-1.fc17

Comment 9 Fedora Update System 2013-05-14 01:24:25 UTC
audacity-2.0.3-1.fc18, portaudio-19-16.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 David Timms 2013-05-14 13:02:07 UTC
(In reply to comment #6)
> audacity-2.0.3-1.fc18,portaudio-19-16.fc18 has been submitted as an update
> for Fedora 18.

I git updated, test built and installed from local build. Noticed that
File|Import|Audio

Comment 11 Hans de Goede 2013-05-14 13:03:02 UTC
(In reply to comment #10)
> (In reply to comment #6)
> > audacity-2.0.3-1.fc18,portaudio-19-16.fc18 has been submitted as an update
> > for Fedora 18.
> 
> I git updated, test built and installed from local build. Noticed that
> File|Import|Audio

Incomplete comment ?

Comment 12 David Timms 2013-05-14 13:03:51 UTC
.. does not work. top shows 1% cpu for 10 minutes+ with a 26MB wav file. I can try the build system build tomorrow, but does this occur for you ?

Comment 13 Hans de Goede 2013-05-14 13:13:49 UTC
(In reply to comment #12)
> .. does not work. top shows 1% cpu for 10 minutes+ with a 26MB wav file. I
> can try the build system build tomorrow, but does this occur for you ?

Just tried in both Fedora-18 and Fedora-19 with a (much smaller) wav file and there it works fine.

Comment 14 Fedora Update System 2013-05-19 02:34:49 UTC
portaudio-19-16.fc17, audacity-2.0.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.